-- This file is provided under the Open Game License version 1.0a
-- For more information on OGL and related issues, see 
--   http://www.wizards.com/d20
--
-- For information on the Fantasy Grounds d20 Ruleset licensing and
-- the OGL license text, see the d20 ruleset license in the program
-- options.
--
-- All producers of work derived from this definition are adviced to
-- familiarize themselves with the above licenses, and to take special
-- care in providing the definition of Product Identity (as specified
-- by the OGL) in their products.
--
-- Copyright 2007 SmiteWorks Ltd.

function onDrag(button, x, y, draginfo)
	draginfo.setType("statdieslot");
	draginfo.setNumberData(getValue());
	draginfo.setCustomData(self);
	draginfo.disableHotkeying(true);
	
	local base = draginfo.createBaseData("number");
	base.setNumberData(getValue());

	setColor("ffbb0000");

	return true;
end

function onDragEnd()
	window.updateTotal();
end

function onDrop(x, y, draginfo)
	if draginfo.isType("statdieslot") then
		local myvalue = getValue();
	
		-- Swap values
		setValue(draginfo.getNumberData());
		draginfo.getCustomData().setValue(myvalue);

		window.updateTotal();
		
		return true;
	end
	
	return false;
end

function onValueChanged()
	window.updateTotal();
end
